<?php

/**
 * @version $Id: 1.0.2
 * @package Sigsiu Online Business Index 2
 * @authorName Sigrid & Radek Suski, Sigsiu.NET
 *
 * @based on: plug_remository from Derek Fernandes - www.mein-neuruppin.de, www.meine-prignitz.de
 * Derek Fernandes, Web Media Online
 *
 * @authorEmail info@sigsiu.net
 * @authorUrl http://www.sigsiu.net
 * @copyright Copyright (C) 2007 Sigsiu.NET (http://www.sigsiu.net). All rights reserved.
 * @license see http://www.gnu.org/copyleft/gpl.html GNU/GPL.
 * REMOSITORY is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation.
 * remository.php 2-Jan-2007 Radek Suski
 */

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$base_url = 'index.php?option=com_remository';        	// Base URL string
$base_url .= '&itemid='.$Itemid;
$base_url .= '&func=select&id=';

class getremositoryTab extends cbTabHandler {

	function getremositoryTab() {
		$this->cbTabHandler();
	}

	function _getLanguageFile() {
		global $mainframe,$mosConfig_lang;
		$UElanguagePath=$mainframe->getCfg( 'absolute_path' ).'/components/com_comprofiler/plugin/user/plug_cbremository';
		if (file_exists($UElanguagePath.'/language/'.$mosConfig_lang.'.php')) {
		  include_once($UElanguagePath.'/language/'.$mosConfig_lang.'.php');
		} else include_once($UElanguagePath.'/language/english.php');
	}


	function getDisplayTab($tab,$user,$ui) {
		global $database,$my,$mainframe,$mosConfig_live_site;
		$this->_getLanguageFile();
		$return = null;
		$params = $this->params;

		$is_remository_plug_enabled = $params->get('hwPlugEnabled', "1");
		$showend = $params->get('ShowEndDate', "1");
		$showHits = $params->get('ShowHits', "1");
		$showIco = $params->get('ShowIco', "1");
		$showTab = $params->get('ShowTab', "1");

		$remository_tab_message = $params->get('hwTabMessage', "");

		if ($is_remository_plug_enabled != "0") {
			$mainframe->addCustomHeadTag("<link href=\"{$mosConfig_live_site}/components/com_comprofiler/plugin/user/plug_cbremository/remository_cb.css\" rel=\"stylesheet\" type=\"text/css\" />");
			if($tab->description == null) {
				$tabdescription = "Please enter a descritpion under community builder -> tab manager";
			}
			else{
				$tabdescription = $tab->description;
			}
			// html content is allowed in descriptions
			$return .= "\t\t<div class=\"tab_Description\">". $tabdescription. "</div>\n";

			// get remository itemid
			$query = "SELECT `id` FROM `#__menu` WHERE `link` LIKE '%index.php?option=com_remository%' AND `type` = 'components' AND `published` = '1' LIMIT 1";
			$database->setQuery( $query );
			$S_Itemid = $database->loadResult();
			if(!$S_Itemid)
				$S_Itemid = 999999;

			// get listings
			$query = "SELECT `filetitle`, `id`, `icon`, `containerid`, `submitdate`, `downloads` FROM `#__downloads_files` WHERE `submittedby` = $user->id and `published` = 1 ORDER BY `filetitle`";
			$database->setQuery( $query );
			$resutlts = $database->loadObjectList();

			// new entry     	 index.php?option=com_remository&Itemid=180&func=addfile&lang=de
			if ($my->id == $user->id) {
				$url1 = "index.php?option=com_remository&amp;Itemid={$S_Itemid}&amp;&func=addfile";
				$url1 = sefRelToAbs($url1);
				$return .= "<a href='$url1' class='RemositoryCBAddLink'>". _REMOSITORY_ADDNEW_CBP. "</a>";
				$query4 = "SELECT `approved` FROM `#__remository_item` WHERE `owner` = $user->id and `approved` = 0";
				$database->setQuery( $query4 );
				$resutlts4 = $database->loadObjectList();
				$sum = "0";
				if(count($resutlts4)) {
					foreach($resutlts4 as $resutlt4) {
						$sum = $sum + 1;
					}
				}
				if ($sum > 0) {
					$return .="<br><br>".$sum._REMOSITORY_APPROVED1_CBP."<br>";
				}
			}
			//build top table - titles
			$return .= "\n\t<table  class='RemositoryCBTabTable'>";
			$return .= "\n\t\t<tr class='sectiontableheader'>";
			$return .= "\n\t\t\t<th class='RemositoryCBTabTableCat'>";
			$return .= "\n\t\t\t\t" . _REMOSITORY_CATEGORY_CBP;
			$return .= "\n\t\t\t</th>";
			if($showIco){
				$return .= "\n\t\t\t<th class='RemositoryCBTabTableIco'>";
				$return .= "\n\t\t\t</th>";
			}
			$return .= "\n\t\t\t<th class='RemositoryCBTabTableTitle'>";
			$return .= "\n\t\t\t\t" . _REMOSITORY_TITLE_CBP;
			$return .= "\n\t\t\t</th>";
			if($showHits){
				$return .= "\n\t\t\t<th class='RemositoryCBTabTableHits'>";
				$return .= "\n\t\t\t\t" . _REMOSITORY_HITS_CBP;
				$return .= "\n\t\t\t</th>";
			}
			if($showend && $my->id == $user->id){
				$return .= "\n\t\t\t<th class='RemositoryCBTabTableExp'>";
				$return .= "\n\t\t\t\t" . _REMOSITORY_EXPIRE_CBP;
				$return .= "\n\t\t\t</th>";
			}
			if ($allowUserToEditEntry && $my->id == $user->id) {
				$return .= "\n\t\t\t<th class='RemositoryCBTabTableEditBt'>";
				$return .= "\n\t\t\t</th>";
			}
			if ($allowUserDelete && $my->id == $user->id) {
				$return .= "\n\t\t\t<th class='RemositoryCBTabTableDelBt'>";
				$return .= "\n\t\t\t</th>";
			}
			$return .= "\n\t\t</tr>";

			$entryCount = 0;
			if(count($resutlts)) {
				foreach($resutlts as $resutlt) {
					$entryCount++;

					// change publish_down date to day-month-year format
					$enddate = $resutlt->submitdate;
					$pf_time = strtotime($enddate);
					$pf_date = date("d-m-Y", $pf_time);
					$cat = null;

					// icon und Pfad definieren
          $curicon='';
          if ($resutlt->icon > '') $curicon=$resutlt->icon;
          else $curicon='generic.png';
          $url = sefRelToAbs($base_url.$resutlt->id);
	
	
						// get category names
						$query2 = "SELECT `name` FROM `#__downloads_containers` WHERE `id` = $resutlt->containerid";
						$database->setQuery( $query2 );
						$resutlts2 = $database->loadObjectList();

						$cat .= "\n\t\t\t<ul>";
						foreach($resutlts2 as $resutlt2) {
							$catHref = "index.php?option=com_remository&amp;catid={$resutlt->containerid}&amp;Itemid={$S_Itemid}";
							$catHref = sefRelToAbs($catHref);
							$cat .= "\n\t\t\t<li><a href='".sefRelToAbs('index.php?option=com_remository&Itemid='.$Itemid.'&func=select&id='.$resutlt->containerid)."' title='{$resutlt2->name}'>{$resutlt2->name}</a></<li>";
						}
						$cat .= "\n\t\t\t</ul>";


		
					$CSSClass = $entryCount%2 ? "row0" : "row1";

					$return .= "\n\t\t<tr class='{$CSSClass}'>";

					$return .= "\n\t\t\t<td class='RemositoryCBTabTableCat'>";
					$return .= "\n\t\t\t\t{$cat}";
					$return .= "\n\t\t\t</td>";

					if($showIco) {
						$return .= "\n\t\t\t<td class='RemositoryCBTabTableIco'>";
						if( $resutlt->icon) {
							$ico = "<img src='$mosConfig_live_site/components/com_remository/images/file_icons/$curicon' alt='{$resutlt->filetitle}' title='{$resutlt->filetitle}' align='middle' border='0' width='16' height='16'/>";
							$return .= "\n\t\t\t\t <a href='".sefRelToAbs('index.php?option=com_remository&Itemid='.$S_Itemid.'&func=fileinfo&id='.$resutlt->id)."'>{$ico}</a>";
						}
						$return .= "\n\t\t\t</td>";
					}

					$return .= "\n\t\t\t<td class='RemositoryCBTabTableTitle'>";
					$return .= "\n\t\t\t\t <a href='".sefRelToAbs('index.php?option=com_remository&Itemid='.$S_Itemid.'&func=fileinfo&id='.$resutlt->id)."'>{$resutlt->filetitle}</a>";
					$return .= "\n\t\t\t</td>";

					if($showHits) {
						$return .= "\n\t\t\t<td  class='RemositoryCBTabTableHits'>";
						$return .= "\n\t\t\t\t {$resutlt->downloads}";
						$return .= "\n\t\t\t</td>";
					}

					if($showend && $my->id == $user->id) {
						$return .= "\n\t\t\t<td class='RemositoryCBTabTableExp'>";
						$return .= "\n\t\t\t\t {$pf_date}";
						$return .= "\n\t\t\t</td>";
					}

					// display edit button if applicable
					if($my->id == $user->id) {
						$href = "sefRelToAbs(index.php?option=com_remository&Itemid=$S_Itemid&func=userupdate&id=$resutlt->id)";
						$return .= "\n\t\t\t<td class='RemositoryCBTabTableEditBt'>";
						$return .= "\n\t\t\t\t <input type='button' class='button' onclick=\"location.href='{$href}'\" id='remositoryEditEntryButton' name='editEntry' value='"._REMOSITORY_LISTING_EDIT_ENTRY_BT_CBP."'/>";
						$return .= "\n\t\t\t</td>";
					}

					// display delete button if applicable
					// if ($my->id == $user->id) {
					// 	$href = "{$mosConfig_live_site}/index.php?option=com_remository&amp;remositoryTask=deleteSobi&amp;remositoryId={$resutlt->itemid}&amp;Itemid={$S_Itemid}";
					// 	$return .= "\n\t\t\t<td class='RemositoryCBTabTableDelBt'>";
					// 	$return .= "\n\t\t\t\t <input type='button' class='button' id='remositoryDelEntryButton' onclick=\"if(confirm('Are you sure you want to delete this entry') == true) location.href='{$href}'\" name='editEntry' value='"._REMOSITORY_LISTING_DELETE_ENTRY_BT_CBP."'/>";
					// 	$return .= "\n\t\t\t</td>";
					// }
					
					// it's needed for the show tab function
					$entry = 1;
				}
				$return .= "\n\t\t</tr>";
			}
			else {
				// display no listings
				$return .= _REMOSITORY_NO_LISTING_CBP;
			}
			$return .="</table>";
		}
		// generate output
		$return .= "\t\t<div>\n<p>". htmlspecialchars($remository_tab_message). "</p></div>\n";
		
		// show no tab if the user has no entry
		
		if($showTab == 0 && $entry <> 1){
			$return = "";
			}
		return $return;
	} // end or getDisplayTab function
} // end of getremositoryTab class
?>
